#
# Copyright (c) 2001-2002 Conexant Systems, Inc.
# 
# 1.   Permitted use. Redistribution and use in source and binary forms,
# with or without modification, are permitted under the terms set forth
# herein.
# 
# 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
# REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
# IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
# CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
# THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
# 
# This software has not been formally tested, and there is no guarantee that
# it is free of errors including, but not limited to, bugs, defects,
# interrupted operation, or unexpected results. Any use of this software is
# at user's own risk.
# 
# 3.   No Liability.
# 
# (a) Conexant or contributors shall not be responsible for any loss or
# damage to Company, its customers, or any third parties for any reason
# whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
# ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
# WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
# OF SUCH DAMAGE.
# 
# (b) User agrees to hold Conexant and contributors harmless from any
# liability, loss, cost, damage or expense, including attorney's fees,
# as a result of any claims which may be made by any person, including
# but not limited to User, its agents and employees, its customers, or
# any third parties that arise out of or result from the manufacture,
# delivery, actual or alleged ownership, performance, use, operation
# or possession of the software furnished hereunder, whether such claims
# are based on negligence, breach of contract, absolute liability or any
# other legal theory.
# 
# 4.   Notices. User hereby agrees not to remove, alter or destroy any
# copyright, trademark, credits, other proprietary notices or confidential
# legends placed upon, contained within or associated with the Software,
# and shall include all such unaltered copyright, trademark, credits,
# other proprietary notices or confidential legends on or in every copy of
# the Software.
#

-include $(TOP)/imported/makeflags.mak

# The version string specified here is propagated everywhere
HCFLINUXVERSION=$(IMPORTED_HCFLINUXVERSION)
HCFLINUXRPM_REL=1

ifneq ($(IMPORTED_ARCH),i386)
HCFLINUXVERSION:=$(HCFLINUXVERSION)$(IMPORTED_ARCH)
endif

ifneq ($(IMPORTED_DEBUG_DEFS),)
ifneq ($(IMPORTED_DEBUG_DEFS),-DUSE_TRACE_ONLY_ERRORS)
HCFLINUXVERSION:=$(HCFLINUXVERSION)dbg
endif
endif

ifeq ($(IMPORTED_TARGET),TARGET_HCF_USB_LINUX)
HCFTARGET=hcfusb
HCFSERDEV=HCFUSB
else
HCFTARGET=hcfpci
HCFSERDEV=HCF
endif

ROOT=
PREFIX=$(ROOT)/usr

ETCDIR=$(ROOT)/etc
SBINDIR=$(PREFIX)/sbin
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib

HCFETCDIR=$(ETCDIR)/$(HCFTARGET)
HCFINFDIR=$(HCFETCDIR)/inf

HCFSBINDIR=$(SBINDIR)
HCFBINDIR=$(BINDIR)

HCFLIBDIR=$(LIBDIR)/$(HCFTARGET)
HCFMODDIR=$(HCFLIBDIR)/modules

INSTALL= install
MKDIR=   mkdir -m 755

HCFINF_FILE= $(HCFETCDIR)/current.inf
HCFCTY_FILE= $(HCFETCDIR)/current.cty

# Default values; these are usually overriden by module options in
# /etc/modules.conf so they shouldn't need to be changed here
HCFSERIALMAJOR=240
HCFCALOUTMAJOR=241
HCFSERIALMINOR=64

