/*
 * Copyright (c) 2001-2002 Conexant Systems, Inc.
 * 
 * 1.   Permitted use. Redistribution and use in source and binary forms,
 * with or without modification, are permitted under the terms set forth
 * herein.
 * 
 * 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
 * REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
 * IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
 * CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
 * 
 * This software has not been formally tested, and there is no guarantee that
 * it is free of errors including, but not limited to, bugs, defects,
 * interrupted operation, or unexpected results. Any use of this software is
 * at user's own risk.
 * 
 * 3.   No Liability.
 * 
 * (a) Conexant or contributors shall not be responsible for any loss or
 * damage to Company, its customers, or any third parties for any reason
 * whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
 * ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 * 
 * (b) User agrees to hold Conexant and contributors harmless from any
 * liability, loss, cost, damage or expense, including attorney's fees,
 * as a result of any claims which may be made by any person, including
 * but not limited to User, its agents and employees, its customers, or
 * any third parties that arise out of or result from the manufacture,
 * delivery, actual or alleged ownership, performance, use, operation
 * or possession of the software furnished hereunder, whether such claims
 * are based on negligence, breach of contract, absolute liability or any
 * other legal theory.
 * 
 * 4.   Notices. User hereby agrees not to remove, alter or destroy any
 * copyright, trademark, credits, other proprietary notices or confidential
 * legends placed upon, contained within or associated with the Software,
 * and shall include all such unaltered copyright, trademark, credits,
 * other proprietary notices or confidential legends on or in every copy of
 * the Software.
 * 
 */
#include "oscompat.h"
#include "ostypedefs.h"
#include "osresour_ex.h"
#include "osservices.h"
#include "osmemory.h"
#include "osnvm.h"
#include "oslinux.h"
#ifdef TARGET_HCF_USB_LINUX
#include "usbhalos.h"
#endif

EXPORT_SYMBOL_NOVERS(NVM_Close);
EXPORT_SYMBOL_NOVERS(NVM_Open);
EXPORT_SYMBOL_NOVERS(NVM_Read);
EXPORT_SYMBOL_NOVERS(NVM_Write);
EXPORT_SYMBOL_NOVERS(OSFindPCIDevice);
EXPORT_SYMBOL_NOVERS(OSGetPCIDeviceResources);
EXPORT_SYMBOL_NOVERS(OSHookInterrupt);
EXPORT_SYMBOL_NOVERS(OSMapMemory);
EXPORT_SYMBOL_NOVERS(OSUnhookInterrupt);
EXPORT_SYMBOL_NOVERS(OSUnmapMemory);
EXPORT_SYMBOL_NOVERS(OSInitPowerManagement);
EXPORT_SYMBOL_NOVERS(OSTermPowerManagement);
EXPORT_SYMBOL_NOVERS(OsAllocate);
EXPORT_SYMBOL_NOVERS(OsAtomicAdd);
EXPORT_SYMBOL_NOVERS(OsAtomicCompareAndSwap);
EXPORT_SYMBOL_NOVERS(OsAtomicDecrement);
EXPORT_SYMBOL_NOVERS(OsAtomicIncrement);
EXPORT_SYMBOL_NOVERS(OsCallOnMyStack);
EXPORT_SYMBOL_NOVERS(OsModemThreadSchedule);
EXPORT_SYMBOL_NOVERS(OsCreatePeriodicTimer);
EXPORT_SYMBOL_NOVERS(OsDestroyPeriodicTimer);
EXPORT_SYMBOL_NOVERS(OsFree);
EXPORT_SYMBOL_NOVERS(OsGetCurrentThread);
EXPORT_SYMBOL_NOVERS(OsGetSystemTime);
EXPORT_SYMBOL_NOVERS(OsImmediateTimeOut);
EXPORT_SYMBOL_NOVERS(OsIsDigit);
EXPORT_SYMBOL_NOVERS(OsLockCreate);
EXPORT_SYMBOL_NOVERS(OsLockDestroy);
EXPORT_SYMBOL_NOVERS(OsLockLock);
EXPORT_SYMBOL_NOVERS(OsLockUnlock);
EXPORT_SYMBOL_NOVERS(OsMemCmp);
EXPORT_SYMBOL_NOVERS(OsMemCpy);
EXPORT_SYMBOL_NOVERS(OsMemSet);
EXPORT_SYMBOL_NOVERS(OsSetPeriodicTimer);
EXPORT_SYMBOL_NOVERS(OsSleep);
EXPORT_SYMBOL_NOVERS(OsSprintf);
EXPORT_SYMBOL_NOVERS(OsStrCmp);
EXPORT_SYMBOL_NOVERS(OsStrCpy);
EXPORT_SYMBOL_NOVERS(OsStrLen);
EXPORT_SYMBOL_NOVERS(OsStrnCpy);
EXPORT_SYMBOL_NOVERS(OsToupper);

#ifdef TARGET_HCF_USB_LINUX
EXPORT_SYMBOL_NOVERS(OsClearEvent);
EXPORT_SYMBOL_NOVERS(OsCreateEvent);
EXPORT_SYMBOL_NOVERS(OsDeleteEvent);
EXPORT_SYMBOL_NOVERS(OsSetEvent);
EXPORT_SYMBOL_NOVERS(OsUsbCreateInstance);
EXPORT_SYMBOL_NOVERS(OsUsbDestroyInstance);
EXPORT_SYMBOL_NOVERS(OsUsbGetControlRequest);
EXPORT_SYMBOL_NOVERS(OsUsbGetTxRequest);
EXPORT_SYMBOL_NOVERS(OsUsbIsStarted);
EXPORT_SYMBOL_NOVERS(OsUsbMakeControlRequest);
EXPORT_SYMBOL_NOVERS(OsUsbMakeControlRequestSync);
EXPORT_SYMBOL_NOVERS(OsUsbMakeDataReceiveRequest);
EXPORT_SYMBOL_NOVERS(OsUsbMakeDataTransmitRequest);
EXPORT_SYMBOL_NOVERS(OsUsbMakeDownloadTransmitRequest);
EXPORT_SYMBOL_NOVERS(OsUsbMakeNotifyRequest);
EXPORT_SYMBOL_NOVERS(OsUsbResetPipes);
EXPORT_SYMBOL_NOVERS(OsUsbResetPort);
EXPORT_SYMBOL_NOVERS(OsUsbWaitControlRequest);
EXPORT_SYMBOL_NOVERS(OsUsbWaitForControlRequestCompletion);
EXPORT_SYMBOL_NOVERS(OsWaitForEvent);
EXPORT_SYMBOL_NOVERS(OsWaitForEventTime);
EXPORT_SYMBOL_NOVERS(OsUsbGetInstance);
#endif

//EXPORT_SYMBOL_NOVERS(OsDebugVPrintf);
EXPORT_SYMBOL_NOVERS(OsDebugPrintf);
EXPORT_SYMBOL_NOVERS(OsDebugBreakpoint);
//EXPORT_SYMBOL_NOVERS(OsDebugDumpData);

MODULE_AUTHOR("Conexant Systems Inc.");
MODULE_DESCRIPTION("HCF controllerless modem driver");
MODULE_LICENSE("Copyright (C) 1996-2002 Conexant Systems Inc. All Rights Reserved.");

#ifdef _DEBUG
unsigned long ulTraceMask = 0xFFFFFFFF;
#endif

