/*
 * Copyright (c) 2001-2002 Conexant Systems, Inc.
 * 
 * 1.   Permitted use. Redistribution and use in source and binary forms,
 * with or without modification, are permitted under the terms set forth
 * herein.
 * 
 * 2.   Disclaimer of Warranties. CONEXANT AND OTHER CONTRIBUTORS MAKE NO
 * REPRESENTATION ABOUT THE SUITABILITY OF THIS SOFTWARE FOR ANY PURPOSE.
 * IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTIES OF ANY KIND.
 * CONEXANT AND OTHER CONTRIBUTORS DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE, GOOD TITLE AND AGAINST INFRINGEMENT.
 * 
 * This software has not been formally tested, and there is no guarantee that
 * it is free of errors including, but not limited to, bugs, defects,
 * interrupted operation, or unexpected results. Any use of this software is
 * at user's own risk.
 * 
 * 3.   No Liability.
 * 
 * (a) Conexant or contributors shall not be responsible for any loss or
 * damage to Company, its customers, or any third parties for any reason
 * whatsoever, and CONEXANT OR CONTRIBUTORS SHALL NOT BE LIABLE FOR ANY
 * ACTUAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL, OR CONSEQUENTIAL
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED, WHETHER IN CONTRACT, STRICT OR OTHER LEGAL THEORY OF
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 * 
 * (b) User agrees to hold Conexant and contributors harmless from any
 * liability, loss, cost, damage or expense, including attorney's fees,
 * as a result of any claims which may be made by any person, including
 * but not limited to User, its agents and employees, its customers, or
 * any third parties that arise out of or result from the manufacture,
 * delivery, actual or alleged ownership, performance, use, operation
 * or possession of the software furnished hereunder, whether such claims
 * are based on negligence, breach of contract, absolute liability or any
 * other legal theory.
 * 
 * 4.   Notices. User hereby agrees not to remove, alter or destroy any
 * copyright, trademark, credits, other proprietary notices or confidential
 * legends placed upon, contained within or associated with the Software,
 * and shall include all such unaltered copyright, trademark, credits,
 * other proprietary notices or confidential legends on or in every copy of
 * the Software.
 * 
 */

#ifndef __OSUNIQREDEF_H__
#define __OSUNIQREDEF_H__

#ifdef TARGET_HCF_USB_LINUX
#define _OSUNIQDEF(f) cnxtusbhcf_##f
#define _OSUNIQDEF_STR(f) "cnxtusbhcf_"#f
#else
#define _OSUNIQDEF(f) cnxthcf_##f
#define _OSUNIQDEF_STR(f) "cnxthcf_"#f
#endif

/* Add CNXTOSUNIQPRFX to all generic external function names in order to
   prevent collisions with other modules potentially using the same names */

#define NVM_Close _OSUNIQDEF(NVM_Close)
#define NVM_Open _OSUNIQDEF(NVM_Open)
#define NVM_Read _OSUNIQDEF(NVM_Read)
#define NVM_Write _OSUNIQDEF(NVM_Write)
#define OsAllocate _OSUNIQDEF(OsAllocate)
#define OsAtomicAdd _OSUNIQDEF(OsAtomicAdd)
#define OsAtomicCompareAndSwap _OSUNIQDEF(OsAtomicCompareAndSwap)
#define OsAtomicDecrement _OSUNIQDEF(OsAtomicDecrement)
#define OsAtomicIncrement _OSUNIQDEF(OsAtomicIncrement)
#define OsCallOnMyStack _OSUNIQDEF(OsCallOnMyStack)
#define mdmthrd _OSUNIQDEF(mdmthrd)
#define OsModemThreadSchedule _OSUNIQDEF(OsModemThreadSchedule)
#define OsCreatePeriodicTimer _OSUNIQDEF(OsCreatePeriodicTimer)
#define OsDebugPrintf _OSUNIQDEF(OsDebugPrintf)
#define OsDebugBreakpoint _OSUNIQDEF(OsDebugBreakpoint)
#define OsDestroyPeriodicTimer _OSUNIQDEF(OsDestroyPeriodicTimer)
#define OSFindPCIDevice _OSUNIQDEF(OSFindPCIDevice)
#define OsFree _OSUNIQDEF(OsFree)
#define OsGetCurrentThread _OSUNIQDEF(OsGetCurrentThread)
#define OSGetPCIDeviceResources _OSUNIQDEF(OSGetPCIDeviceResources)
#define OsGetSystemTime _OSUNIQDEF(OsGetSystemTime)
#define OSHookInterrupt _OSUNIQDEF(OSHookInterrupt)
#define OsImmediateTimeOut _OSUNIQDEF(OsImmediateTimeOut)
#define OsIsDigit _OSUNIQDEF(OsIsDigit)
#define OsLockCreate _OSUNIQDEF(OsLockCreate)
#define OsLockDestroy _OSUNIQDEF(OsLockDestroy)
#define OsLockLock _OSUNIQDEF(OsLockLock)
#define OsLockUnlock _OSUNIQDEF(OsLockUnlock)
#define OSMapMemory _OSUNIQDEF(OSMapMemory)
#define OsMemCmp _OSUNIQDEF(OsMemCmp)
#define OsMemCpy _OSUNIQDEF(OsMemCpy)
#define OsMemSet _OSUNIQDEF(OsMemSet)
#define OsSetPeriodicTimer _OSUNIQDEF(OsSetPeriodicTimer)
#define OsSleep _OSUNIQDEF(OsSleep)
#define OsSprintf _OSUNIQDEF(OsSprintf)
#define OsStrCmp _OSUNIQDEF(OsStrCmp)
#define OsStrCpy _OSUNIQDEF(OsStrCpy)
#define OsStrLen _OSUNIQDEF(OsStrLen)
#define OsStrnCpy _OSUNIQDEF(OsStrnCpy)
#define OsToupper _OSUNIQDEF(OsToupper)
#define OSUnhookInterrupt _OSUNIQDEF(OSUnhookInterrupt)
#define OSUnmapMemory _OSUNIQDEF(OSUnmapMemory)
#define OSInitPowerManagement _OSUNIQDEF(OSInitPowerManagement)
#define OSTermPowerManagement _OSUNIQDEF(OSTermPowerManagement)

#ifdef TARGET_HCF_USB_LINUX
#define OsClearEvent _OSUNIQDEF(OsClearEvent)
#define OsCreateEvent _OSUNIQDEF(OsCreateEvent)
#define OsDeleteEvent _OSUNIQDEF(OsDeleteEvent)
#define OsSetEvent _OSUNIQDEF(OsSetEvent)
#define OsWaitForEvent _OSUNIQDEF(OsWaitForEvent)
#define OsWaitForEventTime _OSUNIQDEF(OsWaitForEventTime)
#define OsUsbGetInstance _OSUNIQDEF(OsUsbGetInstance)
#define OsUsbCreateInstance _OSUNIQDEF(OsUsbCreateInstance)
#define OsUsbDestroyInstance _OSUNIQDEF(OsUsbDestroyInstance)
#define OsUsbGetControlRequest _OSUNIQDEF(OsUsbGetControlRequest)
#define OsUsbGetTxRequest _OSUNIQDEF(OsUsbGetTxRequest)
#define OsUsbIsStarted _OSUNIQDEF(OsUsbIsStarted)
#define OsUsbMakeControlRequest _OSUNIQDEF(OsUsbMakeControlRequest)
#define OsUsbMakeControlRequestSync _OSUNIQDEF(OsUsbMakeControlRequestSync)
#define OsUsbMakeDataReceiveRequest _OSUNIQDEF(OsUsbMakeDataReceiveRequest)
#define OsUsbMakeDataTransmitRequest _OSUNIQDEF(OsUsbMakeDataTransmitRequest)
#define OsUsbMakeDownloadTransmitRequest _OSUNIQDEF(OsUsbMakeDownloadTransmitRequest)
#define OsUsbMakeNotifyRequest _OSUNIQDEF(OsUsbMakeNotifyRequest)
#define OsUsbResetPipes _OSUNIQDEF(OsUsbResetPipes)
#define OsUsbResetPort _OSUNIQDEF(OsUsbResetPort)
#define OsUsbWaitControlRequest _OSUNIQDEF(OsUsbWaitControlRequest)
#define OsUsbWaitForControlRequestCompletion _OSUNIQDEF(OsUsbWaitForControlRequestCompletion)
#endif

#define ComCtrlGetInterface _OSUNIQDEF(ComCtrlGetInterface)

#endif /* __OSUNIQREDEF_H__ */
